<ui version="4.0" >
 <class>shellOptions</class>
 <widget class="QWidget" name="shellOptions" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>325</width>
    <height>162</height>
   </rect>
  </property>
  <property name="sizePolicy" >
   <sizepolicy>
    <hsizetype>5</hsizetype>
    <vsizetype>5</vsizetype>
    <horstretch>0</horstretch>
    <verstretch>0</verstretch>
   </sizepolicy>
  </property>
  <layout class="QGridLayout" >
   <property name="margin" >
    <number>0</number>
   </property>
   <property name="spacing" >
    <number>3</number>
   </property>
   <item rowspan="5" row="0" column="0" colspan="2" >
    <layout class="QHBoxLayout" >
     <property name="margin" >
      <number>0</number>
     </property>
     <property name="spacing" >
      <number>3</number>
     </property>
     <item>
      <spacer>
       <property name="orientation" >
        <enum>Qt::Horizontal</enum>
       </property>
       <property name="sizeType" >
        <enum>QSizePolicy::Fixed</enum>
       </property>
       <property name="sizeHint" >
        <size>
         <width>57</width>
         <height>20</height>
        </size>
       </property>
      </spacer>
     </item>
     <item>
      <widget class="QFrame" name="gbAdvanced" >
       <property name="frameShape" >
        <enum>QFrame::NoFrame</enum>
       </property>
       <property name="frameShadow" >
        <enum>QFrame::Raised</enum>
       </property>
       <layout class="QGridLayout" >
        <property name="margin" >
         <number>0</number>
        </property>
        <property name="spacing" >
         <number>3</number>
        </property>
        <item row="6" column="0" >
         <spacer>
          <property name="orientation" >
           <enum>Qt::Horizontal</enum>
          </property>
          <property name="sizeType" >
           <enum>QSizePolicy::Fixed</enum>
          </property>
          <property name="sizeHint" >
           <size>
            <width>20</width>
            <height>30</height>
           </size>
          </property>
         </spacer>
        </item>
        <item row="7" column="0" colspan="4" >
         <widget class="QCheckBox" name="cbRealtime" >
          <property name="whatsThis" >
           <string>&lt;qt>Select whether realtime scheduling should be enabled for the application. The scheduler governs which process will run and which will have to wait. Two schedulers are available:
&lt;ul>
&lt;li>&lt;em>Normal:&lt;/em> This is the standard, timesharing scheduler. It will divide fairly the available processing time between all processes.&lt;/li>
&lt;li>&lt;em>Realtime:&lt;/em>This scheduler will run your application uninterrupted until it gives up the processor. This can be dangerous. An application that does not give up the processor might hang the system. You need root's password to use the scheduler.&lt;/li>
&lt;/ul>
&lt;/qt></string>
          </property>
          <property name="text" >
           <string>Run with realtime &amp;scheduling</string>
          </property>
         </widget>
        </item>
        <item row="3" column="1" >
         <widget class="QLabel" name="lbUsername" >
          <property name="enabled" >
           <bool>false</bool>
          </property>
          <property name="sizePolicy" >
           <sizepolicy>
            <hsizetype>1</hsizetype>
            <vsizetype>5</vsizetype>
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="whatsThis" >
           <string>Enter the user you want to run the application as here.</string>
          </property>
          <property name="text" >
           <string>User&amp;name:</string>
          </property>
          <property name="buddy" >
           <cstring>leUsername</cstring>
          </property>
         </widget>
        </item>
        <item row="4" column="2" colspan="2" >
         <widget class="KLineEdit" name="lePassword" >
          <property name="enabled" >
           <bool>false</bool>
          </property>
          <property name="sizePolicy" >
           <sizepolicy>
            <hsizetype>5</hsizetype>
            <vsizetype>0</vsizetype>
            <horstretch>5</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="whatsThis" >
           <string>Enter the password here for the user you specified above.</string>
          </property>
          <property name="echoMode" >
           <enum>QLineEdit::Password</enum>
          </property>
         </widget>
        </item>
        <item row="4" column="1" >
         <widget class="QLabel" name="lbPassword" >
          <property name="enabled" >
           <bool>false</bool>
          </property>
          <property name="sizePolicy" >
           <sizepolicy>
            <hsizetype>1</hsizetype>
            <vsizetype>5</vsizetype>
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="whatsThis" >
           <string>Enter the password here for the user you specified above.</string>
          </property>
          <property name="text" >
           <string>Pass&amp;word:</string>
          </property>
          <property name="buddy" >
           <cstring>lePassword</cstring>
          </property>
         </widget>
        </item>
        <item row="1" column="0" colspan="4" >
         <widget class="QCheckBox" name="cbRunInTerminal" >
          <property name="whatsThis" >
           <string>Check this option if the application you want to run is a text mode application. The application will then be run in a terminal emulator window.</string>
          </property>
          <property name="text" >
           <string>Run in &amp;terminal window</string>
          </property>
         </widget>
        </item>
        <item row="6" column="1" >
         <layout class="QVBoxLayout" >
          <property name="margin" >
           <number>0</number>
          </property>
          <property name="spacing" >
           <number>3</number>
          </property>
          <item>
           <widget class="QLabel" name="textLabel1" >
            <property name="enabled" >
             <bool>false</bool>
            </property>
            <property name="whatsThis" >
             <string>The priority that the command will be run with can be set here. From left to right, it goes from low to high. The center position is the default value. For priorities higher than the default, you will need to provide the root password.</string>
            </property>
            <property name="text" >
             <string>&amp;Priority:</string>
            </property>
            <property name="buddy" >
             <cstring>slPriority</cstring>
            </property>
           </widget>
          </item>
          <item>
           <spacer>
            <property name="orientation" >
             <enum>Qt::Vertical</enum>
            </property>
            <property name="sizeType" >
             <enum>QSizePolicy::Minimum</enum>
            </property>
            <property name="sizeHint" >
             <size>
              <width>20</width>
              <height>9</height>
             </size>
            </property>
           </spacer>
          </item>
         </layout>
        </item>
        <item row="5" column="0" colspan="4" >
         <widget class="QCheckBox" name="cbPriority" >
          <property name="whatsThis" >
           <string>Check this option if you want to run the application with a different priority. A higher priority tells the operating system to give more processing time to your application.</string>
          </property>
          <property name="text" >
           <string>Run with a &amp;different priority</string>
          </property>
         </widget>
        </item>
        <item row="3" column="2" colspan="2" >
         <widget class="KLineEdit" name="leUsername" >
          <property name="enabled" >
           <bool>false</bool>
          </property>
          <property name="sizePolicy" >
           <sizepolicy>
            <hsizetype>5</hsizetype>
            <vsizetype>0</vsizetype>
            <horstretch>5</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="whatsThis" >
           <string>Enter the user you want to run the application as here.</string>
          </property>
         </widget>
        </item>
        <item row="6" column="2" colspan="2" >
         <layout class="QGridLayout" >
          <property name="margin" >
           <number>0</number>
          </property>
          <property name="spacing" >
           <number>0</number>
          </property>
          <item row="1" column="0" >
           <widget class="QLabel" name="lbLowPriority" >
            <property name="enabled" >
             <bool>false</bool>
            </property>
            <property name="whatsThis" >
             <string>The priority that the command will be run with can be set here. From left to right, it goes from low to high. The center position is the default value. For priorities higher than the default, you will need to provide the root password.</string>
            </property>
            <property name="text" >
             <string>Low</string>
            </property>
           </widget>
          </item>
          <item row="1" column="1" >
           <widget class="QLabel" name="lbHighPriority" >
            <property name="enabled" >
             <bool>false</bool>
            </property>
            <property name="whatsThis" >
             <string>The priority that the command will be run with can be set here. From left to right, it goes from low to high. The center position is the default value. For priorities higher than the default, you will need to provide the root password.</string>
            </property>
            <property name="text" >
             <string>High</string>
            </property>
            <property name="alignment" >
             <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
            </property>
           </widget>
          </item>
          <item row="0" column="0" colspan="2" >
           <widget class="QSlider" name="slPriority" >
            <property name="enabled" >
             <bool>false</bool>
            </property>
            <property name="sizePolicy" >
             <sizepolicy>
              <hsizetype>5</hsizetype>
              <vsizetype>0</vsizetype>
              <horstretch>1</horstretch>
              <verstretch>0</verstretch>
             </sizepolicy>
            </property>
            <property name="whatsThis" >
             <string>The priority that the command will be run with can be set here. From left to right, it goes from low to high. The center position is the default value. For priorities higher than the default, you will need to provide the root password.</string>
            </property>
            <property name="singleStep" >
             <number>5</number>
            </property>
            <property name="orientation" >
             <enum>Qt::Horizontal</enum>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item row="2" column="0" colspan="4" >
         <widget class="QCheckBox" name="cbRunAsOther" >
          <property name="whatsThis" >
           <string>Check this option if you want to run the application with a different user id. Every process has a user id associated with it. This id code determines file access and other permissions. The password of the user is required to do this.</string>
          </property>
          <property name="text" >
           <string>Run as a different &amp;user</string>
          </property>
         </widget>
        </item>
        <item rowspan="2" row="3" column="0" >
         <spacer>
          <property name="orientation" >
           <enum>Qt::Horizontal</enum>
          </property>
          <property name="sizeType" >
           <enum>QSizePolicy::Fixed</enum>
          </property>
          <property name="sizeHint" >
           <size>
            <width>20</width>
            <height>40</height>
           </size>
          </property>
         </spacer>
        </item>
       </layout>
      </widget>
     </item>
    </layout>
   </item>
  </layout>
 </widget>
 <layoutdefault spacing="3" margin="6" />
 <layoutfunction spacing="KDialog::spacingHint" margin="KDialog::marginHint" />
 <pixmapfunction>BarIcon</pixmapfunction>
 <customwidgets>
  <customwidget>
   <class>KLineEdit</class>
   <extends>QLineEdit</extends>
   <header>klineedit.h</header>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>cbRunInTerminal</tabstop>
  <tabstop>cbRunAsOther</tabstop>
  <tabstop>leUsername</tabstop>
  <tabstop>lePassword</tabstop>
  <tabstop>cbPriority</tabstop>
  <tabstop>slPriority</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>cbRunAsOther</sender>
   <signal>toggled(bool)</signal>
   <receiver>lbUsername</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>153</x>
     <y>59</y>
    </hint>
    <hint type="destinationlabel" >
     <x>96</x>
     <y>62</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>cbRunAsOther</sender>
   <signal>toggled(bool)</signal>
   <receiver>leUsername</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>127</x>
     <y>59</y>
    </hint>
    <hint type="destinationlabel" >
     <x>188</x>
     <y>62</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>cbRunAsOther</sender>
   <signal>toggled(bool)</signal>
   <receiver>lbPassword</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>81</x>
     <y>45</y>
    </hint>
    <hint type="destinationlabel" >
     <x>146</x>
     <y>101</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>cbRunAsOther</sender>
   <signal>toggled(bool)</signal>
   <receiver>lePassword</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>114</x>
     <y>41</y>
    </hint>
    <hint type="destinationlabel" >
     <x>323</x>
     <y>101</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>cbPriority</sender>
   <signal>toggled(bool)</signal>
   <receiver>textLabel1</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>82</x>
     <y>116</y>
    </hint>
    <hint type="destinationlabel" >
     <x>108</x>
     <y>132</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>cbPriority</sender>
   <signal>toggled(bool)</signal>
   <receiver>slPriority</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>64</x>
     <y>112</y>
    </hint>
    <hint type="destinationlabel" >
     <x>190</x>
     <y>130</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>cbPriority</sender>
   <signal>toggled(bool)</signal>
   <receiver>lbLowPriority</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>192</x>
     <y>113</y>
    </hint>
    <hint type="destinationlabel" >
     <x>193</x>
     <y>139</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>cbPriority</sender>
   <signal>toggled(bool)</signal>
   <receiver>lbHighPriority</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>192</x>
     <y>113</y>
    </hint>
    <hint type="destinationlabel" >
     <x>279</x>
     <y>139</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
